TreeContext (Groovy 4.0.15)

Package: org.codehaus.groovy.macro.matcher

## [Java] Class TreeContext

- org.codehaus.groovy.macro.matcher.TreeContext

-     public class TreeContext
      extends Object

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `afterVisit(TreeContextAction action)`
    `` | `public void` | `afterVisit(Closure<?> action)`
    `` | `public Object` | `doCall(Object key)`
    `` | `public TreeContext` | `fork(ASTNode node)`
    `` | `public ASTNode` | `getNode()`
    `` | `public List<TreeContextAction>` | `getOnPopHandlers()`
    `` | `public TreeContext` | `getParent()`
    `` | `public Expression` | `getReplacement()`
    `` | `public List<TreeContext>` | `getSiblings()`
    `` | `public Map<Object, List<Object>>` | `getUserdata()`
    `` | `public List<Object>` | `getUserdata(Object key)`
    `` | `public List<Object>` | `getUserdata(Object key, boolean searchParent)`
    `` | `public boolean` | `matches(ASTNodePredicate predicate)`
    `` | `public boolean` | `matches(Closure<Boolean> predicate)`
    `` | `public void` | `putUserdata(Object key, Object value)`
    `` | `public void` | `setReplacement(Expression replacement)`
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public void afterVisit(TreeContextAction action)

    - #### public void afterVisit(@DelegatesTo(value=TreeContext.class, strategy=Closure.DELEGATE_FIRST)
      Closure<?> action)

    - #### public Object doCall(Object key)

    - #### public TreeContext fork(ASTNode node)

    - #### public ASTNode getNode()

    - #### public List<TreeContextAction> getOnPopHandlers()

    - #### public TreeContext getParent()

    - #### public Expression getReplacement()

    - #### public List<TreeContext> getSiblings()

    - #### public Map<Object, List<Object>> getUserdata()

    - #### public List<Object> getUserdata(Object key)

    - #### public List<Object> getUserdata(Object key, boolean searchParent)

    - #### public boolean matches(ASTNodePredicate predicate)

    - #### public boolean matches(@DelegatesTo(value=ASTNode.class, strategy=Closure.DELEGATE_FIRST)
      Closure<Boolean> predicate)

    - #### @SuppressWarnings("unchecked")
      public void putUserdata(Object key, Object value)

    - #### public void setReplacement(Expression replacement)

    - #### @Override
      public String toString()